#pragma once
#include "qs_function_abstract.h"

#define QS_FUNCTION_CGI "QSCgi"

class TQSFunctionRegionCgi: public IQSFunction {
public:
    virtual ~TQSFunctionRegionCgi() {}

    virtual TRichTreePtr GetFResult(const IQSRequest* cgi, const TLanguageContext& langContext) const;

    virtual TString Name() const {
        return QS_FUNCTION_CGI;
    }

    static TFactory::TRegistrator<TQSFunctionRegionCgi> Registrator;
};
